package jp.agentec.abook.abv.bl.acms.client.parameters;

/**
 * Created by leej on 2018/09/10.
 */

public class GetTaskFileParameters extends AcmsParameters {

    private Long taskId;

    private Integer type;

    // 定期点検用
    private Integer taskReportInfoId;

    public GetTaskFileParameters(String sid, long taskId, Integer type) {
        super(sid);
        this.taskId = taskId;
        this.type = type;
    }

    // 定期点検用
    public GetTaskFileParameters(String sid, long taskId, Integer type, int taskReportInfoId) {
        super(sid);
        this.taskId = taskId;
        this.type = type;
        this.taskReportInfoId = taskReportInfoId;
    }

    public long getTaskId() {
        return taskId;
    }

    public Integer getType() {
        return type;
    }

    public Integer getTaskReportInfoId() {
        return taskReportInfoId;
    }
}